> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/zec/elastic-ip/inquirypricemodifyeipflowpackage.md).

# InquiryPriceModifyEipFlowPackage

## 1. 接口描述

本接口(InquiryPriceModifyEipFlowPackage)用于查询调整EIP流量包后的价格。

{% hint style="info" %}
**注意事项**

* 只有可用状态（`BINDED`、`UNBIND`）且网络计费方式为流量包计费（`ByTrafficPackage`）的EIP才支持该操作。
* 国际线路（`PathBasedBandwidthIP`）不支持该操作。
* 保底流量包大小仅对计费周期为月有效。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称        | 必选 | 类型     | 描述                                                             |
| ----------- | -- | ------ | -------------------------------------------------------------- |
| eipId       | 是  | String | 要操作的公网弹性IP。                                                    |
| flowPackage | 是  | Float  | <p>调整后的流量包大小。</p><p>单位：TB，为0或0.1的倍数。</p><p>可选值范围：\[0.0, +)</p> |

## 3. 响应结果

| 参数名称                 | 类型                                                                                                               | 描述                                                                                     |
| -------------------- | ---------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------- |
| requestId            | String                                                                                                           | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p>                               |
| eipPrice             | [PriceItem](/api-reference/cn/compute/zec/datastructure.md#priceitem)                                            | <p>公网弹性IP的保留价格。</p><p>通过CIDR创建的IP保留价格为null。</p>                                        |
| bandwidthPrice       | [PriceItem](/api-reference/cn/compute/zec/datastructure.md#priceitem)                                            | <p>公网弹性IP的带宽价格。</p><p>PathBasedBandwidthIP线路时为null，详见<code>bandwidthPrices</code>。</p> |
| bandwidthPrices      | Array of [BandwidthPriceResponseItem](/api-reference/cn/compute/zec/datastructure.md#bandwidthpriceresponseitem) | <p>各流量方向的带宽价格明细。</p><p>PathBasedBandwidthIP线路返回多项；其他线路返回单项（trafficType=ALL）。</p>       |
| remoteBandwidthPrice | [PriceItem](/api-reference/cn/compute/zec/datastructure.md#priceitem)                                            | <p>Remote IPT的带宽价格。</p><p>EIP未开启Remote IPT时为null。</p>                                  |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**查询将EIP流量包调整为10TB后的价格。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceModifyEipFlowPackage
<Common Request Params>

Request：
{
  "eipId": "eip-xxx",
  "flowPackage": 10
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "eipPrice": {
      "discount": 100.0,
      "discountPrice": null,
      "originalPrice": null,
      "unitPrice": 0.005,
      "discountUnitPrice": 0.005,
      "chargeUnit": "HOUR",
      "stepPrices": null
    },
    "bandwidthPrice": {
      "discount": 100.0,
      "discountPrice": null,
      "originalPrice": null,
      "unitPrice": 0.5,
      "discountUnitPrice": 0.5,
      "chargeUnit": "MONTH",
      "stepPrices": null
    },
    "bandwidthPrices": [
      {
        "trafficType": "ALL",
        "price": {
          "discount": 100.0,
          "discountPrice": null,
          "originalPrice": null,
          "unitPrice": 0.5,
          "discountUnitPrice": 0.5,
          "chargeUnit": "MONTH",
          "stepPrices": null
        }
      }
    ],
    "remoteBandwidthPrice": null
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                                                | 说明                        |
| ------- | ------------------------------------------------------------------ | ------------------------- |
| 404     | INVALID\_EIP\_NOT\_FOUND                                           | EIP不存在。                   |
| 500     | OPERATION\_DENIED\_EIP\_STATUS\_NOT\_SUPPORT                       | EIP 状态不支持此操作。             |
| 400     | OPERATION\_DENIED\_INTERNET\_CHARGE\_TYPE\_NOT\_SUPPORT            | IP网络计费方式不支持。              |
| 400     | OPERATION\_DENIED\_FOR\_PATH\_BASED\_FLOW\_PACKAGE\_NOT\_SUPPORTED | 国际线路不支持流量包变更。             |
| 400     | OPERATION\_DENIED\_FLOW\_PACKAGE\_NOT\_SUPPORTED\_HOUR\_PERIOD     | 当前产品周期为小时计费，不支持设置保底流量包大小。 |
